Package com.sun.mirror.declaration

# Interface AnnotationMirror

public interface AnnotationMirror
Represents an annotation. An annotation associates a value with each element of an annotation type.

Annotations should not be compared using reference-equality ("`==`"). There is no guarantee that any particular annotation will always be represented by the same object.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`AnnotationType`
`getAnnotationType()`
Returns the annotation type of this annotation.
`Map<AnnotationTypeElementDeclaration,AnnotationValue>`
`getElementValues()`
Returns this annotation's elements and their values.
`SourcePosition`
`getPosition()`
Returns the source position of the beginning of this annotation.

## Method Details

### getAnnotationType

AnnotationType getAnnotationType()
Returns the annotation type of this annotation.

Returns:
  the annotation type of this annotation

### getPosition

SourcePosition getPosition()
Returns the source position of the beginning of this annotation. Returns null if the position is unknown or not applicable.

This source position is intended for use in providing diagnostics, and indicates only approximately where an annotation begins.

Returns:
  the source position of the beginning of this annotation or null if the position is unknown or not applicable

### getElementValues

Map<AnnotationTypeElementDeclaration,AnnotationValue> getElementValues()
Returns this annotation's elements and their values. This is returned in the form of a map that associates elements with their corresponding values. Only those elements and values explicitly present in the annotation are included, not those that are implicitly assuming their default values. The order of the map matches the order in which the elements appear in the annotation's source.

Returns:
  this annotation's elements and their values, or an empty map if there are none